apiVersion: policy/v1beta1
kind: PodSecurityPolicy
metadata:
  name: privileged-{{ namespace }}-{{ awx_name }}
spec:
  allowPrivilegeEscalation: true
  fsGroup:
    rule: RunAsAny
  hostNetwork: false
  hostIPC: false
  hostPID: false
  privileged: true
  requiredDropCapabilities:
  - ALL
  runAsUser:
    rule: MustRunAsNonRoot
  seLinux:
    rule: RunAsAny
  supplementalGroups:
    rule: RunAsAny
  volumes:
  - configMap
  - emptyDir
  - projected
  - secret
  - downwardAPI
  - persistentVolumeClaim
